function Question(){
	this.id = arguments[0];
	this.text = arguments[1];
	this.answers = new Array();
	this.layoutManager;
	this.extras;
}

Question.prototype.addAnswer = function(answerObj){
	this.answers.push(answerObj);
	return answerObj;
}

Question.prototype.getAnswerById = function(id){
	for(var i in this.answers){ if(this.answers[i].id == id){ return this.answers[i]; } }
	return undefined;
}

Question.prototype.isLast = function(){
	for(var i=0; i<this.answers.length; i++){ if(this.answers[i].nextQuestion != undefined){ return false;} }
	return true;
}

Question.prototype.setLayoutManager = function(QuestionLayoutManager){
	this.layoutManager = QuestionLayoutManager;
	this.layoutManager.questionObject = this;
}

Question.prototype.randomizeAnswers = function(){
  	var i = this.answers.length;
  	while ( i-- ) {
     		var j = Math.floor( Math.random() * ( i + 1 ) );
     		var tempi = this.answers[i];
     		var tempj = this.answers[j];
     		this.answers[i] = tempj;
     		this.answers[j] = tempi;
   	}
}