// Voting Indicator Survey
// version 1.0

var vi = new Survey();

var welkom = vi.addQuestion(new Question('welkom', 'De stemindicator verstrekt onafhankelijk stemadvies voor de Europese verkiezingen van 10 juni 2004. Het advies dat u krijgt is gebaseerd op de verkiezings-programma\'s van de deelnemende partijen. Het invullen van de vragen kost u slechts drie minuten.'));
welkom.setLayoutManager(new WelkomLayout());

q1 = vi.addQuestion(new Question('q1','Heeft u in 1999 gestemd bij de verkiezingen voor het Europees Parlement?'));
q1.setLayoutManager(new MCLayout());
q2a = vi.addQuestion(new Question('q2a', 'Op welke partij heeft u toen uw stem uitgebracht?'));
q2a.setLayoutManager(new MCLayout());
q2b = vi.addQuestion(new Question('q2b', 'Bent u van plan te gaan stemmen bij de verkiezingen voor het Europees Parlement op 10 juni 2004?'));
q2b.setLayoutManager(new MCLayout());
q3a = vi.addQuestion(new Question('q3a', 'Naar welke partij die deelneemt aan de verkiezingen gaat momenteel uw voorkeur uit?'));
q3a.setLayoutManager(new MCLayout());
var q3b = vi.addQuestion(new Question('q3b', 'Het politieke systeem in Europa moet fundamenteel worden veranderd.'));
q3b.setLayoutManager(new MCLayout());

var q4a_pre1 = vi.addQuestion(new Question('q4a_pre1', 'Leest u de volgende stellingen aandachtig door. Zou &eacute;&eacute;n ervan voor u van <strong>doorslaggevend<\/strong> belang zijn bij het stemmen op een politieke partij?'));
q4a_pre1.setLayoutManager(new SlideLayout());
q4a_pre2 = vi.addQuestion(new Question('q4a_pre2', 'Is &eacute;&eacute;n van de voorgaande stellingen voor u <strong>doorslaggevend<\/strong> bij het stemmen?<\/span><br><span class=\"questionsmall\">Vindt u meerdere stellingen even belangrijk? Kies dan "Nee".'));
q4a_pre2.setLayoutManager(new MCLayout());
var q4a_pre3 = vi.addQuestion(new Question('q4a_pre3', 'Leest u de volgende stellingen aandachtig door. Zou &eacute;&eacute;n ervan voor u van <strong>doorslaggevend<\/strong> belang zijn bij het stemmen op een politieke partij?'));
q4a_pre3.setLayoutManager(new SlideLayout());
q4a = vi.addQuestion(new Question('q4a', 'Is &eacute;&eacute;n van de voorgaande stellingen voor u <strong>doorslaggevend<\/strong> bij het stemmen?<\/span><br><span class=\"questionsmall\">Vindt u meerdere stellingen even belangrijk? Kies dan "Nee".'));
q4a.setLayoutManager(new MCLayout());

var q4b_pre1 = vi.addQuestion(new Question('q4b_pre1', 'Leest u de volgende vijf stellingen aandachtig door. Zou &eacute;&eacute;n ervan voor u van <strong>doorslaggevend<\/strong> belang zijn bij het stemmen op een politieke partij?'));
q4b_pre1.setLayoutManager(new SlideLayout());
q4b = vi.addQuestion(new Question('q4b', 'Is &eacute;&eacute;n van de voorgaande stellingen voor u <strong>doorslaggevend<\/strong> bij het stemmen?<\/span><br><span class=\"questionsmall\">Vindt u meerdere stellingen even belangrijk? Kies dan "Nee".'));
q4b.setLayoutManager(new MCLayout());

q5a = vi.addQuestion(new Question('q5a', 'Welk van de volgende drie stellingen spreekt u het meest aan?'));
q5a.setLayoutManager(new MCLayout());

q5b = vi.addQuestion(new Question('q5b', 'Welk van de volgende drie stellingen spreekt u het meest aan?'));
q5b.setLayoutManager(new MCLayout());

q6 = vi.addQuestion(new Question('q6', 'Wat vindt u van het Europees Parlement?'));
q6.setLayoutManager(new MCLayout());

// Uitslagen
uitslag_openheid = vi.addQuestion(new Question('uitslag_openheid', 'Stem Europa Transparant'));
uitslag_openheid.setLayoutManager(new ResultLayout());

uitslag_aandacht = vi.addQuestion(new Question('uitslag_aandacht', 'Stem Leefbaar Europa'));
uitslag_aandacht.setLayoutManager(new ResultLayout());

uitslag_dieren = vi.addQuestion(new Question('uitslag_dieren', 'Stem Partij voor de Dieren'));
uitslag_dieren.setLayoutManager(new ResultLayout());

uitslag_regionaal = vi.addQuestion(new Question('uitslag_regionaal', 'Stem Partij voor het Noorden'));
uitslag_regionaal.setLayoutManager(new ResultLayout());

uitslag_onafhankelijkheid = vi.addQuestion(new Question('uitslag_onafhankelijkheid', 'Stem Nieuw Rechts'));
uitslag_onafhankelijkheid.setLayoutManager(new ResultLayout());

uitslag_democratie = vi.addQuestion(new Question('uitslag_democratie', 'Stem Democratisch Europa'));
uitslag_democratie.setLayoutManager(new ResultLayout());

uitslag_betutteling = vi.addQuestion(new Question('uitslag_betutteling', 'Stem Respect.nu'));
uitslag_betutteling.setLayoutManager(new ResultLayout());

uitslag_immigratie = vi.addQuestion(new Question('uitslag_immigratie', 'Stem Lijst Pim Fortuyn'));
uitslag_immigratie.setLayoutManager(new ResultLayout());

uitslag_milieubehoud = vi.addQuestion(new Question('uitslag_milieubehoud', 'Stem GroenLinks'));
uitslag_milieubehoud.setLayoutManager(new ResultLayout());

uitslag_ethiek = vi.addQuestion(new Question('uitslag_ethiek', 'Stem ChristenUnie-SGP'));
uitslag_ethiek.setLayoutManager(new ResultLayout());

uitslag_kenniseconomie = vi.addQuestion(new Question('uitslag_kenniseconomie', 'Stem D66'));
uitslag_kenniseconomie.setLayoutManager(new ResultLayout());

uitslag_sociaal = vi.addQuestion(new Question('uitslag_sociaal', 'Stem SP'));
uitslag_sociaal.setLayoutManager(new ResultLayout());

uitslag_VVD = vi.addQuestion(new Question('uitslag_VVD', 'Stem VVD'));
uitslag_VVD.setLayoutManager(new ResultLayout());

uitslag_CDA = vi.addQuestion(new Question('uitslag_CDA', 'Stem CDA'));
uitslag_CDA.setLayoutManager(new ResultLayout());

uitslag_PvdA = vi.addQuestion(new Question('uitslag_PvdA', 'Stem PvdA'));
uitslag_PvdA.setLayoutManager(new ResultLayout());

uitslag_blanco = vi.addQuestion(new Question('uitslag_blanco', 'Stem blanco.'));
uitslag_blanco.setLayoutManager(new ResultLayout());

uitslag_nietStemmen = vi.addQuestion(new Question('uitslag_nietStemmen', 'Stem niet.'));
uitslag_nietStemmen.setLayoutManager(new ResultLayout());

uitslag_geenVoorkeur = vi.addQuestion(new Question('uitslag_geenVoorkeur', 'U heeft geen duidelijke voorkeur uitgesproken. U kunt meer informatie over de Europese verkiezingen vinden op <a href=\"http://www.politiek-digitaal.nl\" target=\"_blank\">www.politiek-digitaal.nl<\/a>. Of raadpleeg de stemindicator later nog eens.'));
uitslag_geenVoorkeur.setLayoutManager(new ResultLayout());
// EINDE Uitslagen

welkom.addAnswer(new Answer('begin', 'Begin', q1));

q1.addAnswer(new Answer('Ja', 'Ja', q2a));
q1.addAnswer(new Answer('Nee', 'Nee', q2b));
q1.addAnswer(new Answer('Weetniet', 'Weet ik niet meer', q2b));


q2a.addAnswer(new Answer('CDA', 'CDA', q2b));
q2a.addAnswer(new Answer('PvdA', 'PvdA', q2b));
q2a.addAnswer(new Answer('VVD', 'VVD', q2b));
q2a.addAnswer(new Answer('D66', 'D66', q2b));
q2a.addAnswer(new Answer('RPF_SGP_GPV', 'RPF/SGP/GPV', q2b));
q2a.addAnswer(new Answer('GroenLinks', 'GroenLinks', q2b));
q2a.addAnswer(new Answer('CD', 'CD', q2b));
q2a.addAnswer(new Answer('LijstSala', 'Lijst Sala', q2b));
q2a.addAnswer(new Answer('EVPN', 'EVPN', q2b));
q2a.addAnswer(new Answer('SP', 'SP', q2b));
q2a.addAnswer(new Answer('EuropesePartij', 'Europese Partij', q2b));
q2a.addAnswer(new Answer('Weetniet', 'Weet ik niet meer', q2b));

q2b.addAnswer(new Answer('Ja', 'Ja', q3a));
q2b.addAnswer(new Answer('Nee', 'Nee', q3b));
q2b.addAnswer(new Answer('Weetniet', 'Weet ik nog niet', q3b));

q3a.addAnswer(new Answer('PvdA', 'PvdA', q3b));
q3a.addAnswer(new Answer('CDA', 'CDA', q3b));
q3a.addAnswer(new Answer('VVD', 'VVD', q3b));
q3a.addAnswer(new Answer('SP', 'SP', q3b));
q3a.addAnswer(new Answer('GroenLinks', 'GroenLinks', q3b));
q3a.addAnswer(new Answer('D66', 'D66', q3b));
q3a.addAnswer(new Answer('ChristenUnie', 'ChristenUnie-SGP', q3b));
q3a.addAnswer(new Answer('LPF', 'Lijst Pim Fortuyn', q3b));
q3a.addAnswer(new Answer('PvdD', 'Partij voor de Dieren', q3b));
q3a.addAnswer(new Answer('EuropaTransparant', 'Europa Transparant', q3b));
q3a.addAnswer(new Answer('NieuwRechts', 'Nieuw Rechts', q3b));
q3a.addAnswer(new Answer('PvhN', 'Partij voor het Noorden', q3b));
q3a.addAnswer(new Answer('Leefbaar', 'Leefbaar Europa', q3b));
q3a.addAnswer(new Answer('Respect', 'Respect.nu', q3b));
q3a.addAnswer(new Answer('Democratisch', 'Democratisch Europa', q3b));
q3a.addAnswer(new Answer('Geen', 'Geen van allen', q3b));
q3a.addAnswer(new Answer('Weetniet', 'Weet ik nog niet', q3b));


q3b.addAnswer(new Answer('Eens', 'Mee eens', q4a_pre1));
q3b.addAnswer(new Answer('Oneens', 'Niet mee eens', q4b_pre1));

// volledige beschrijvingen van de stellingen
stImmigratie = new Answer('stImmigratie', '<strong>Immigratie.<\/strong> De stroom immigranten naar Europa gaat onverminderd door. Er moet in Europa een restrictief migratiebeleid komen, waarbij de lasten eerlijk worden verdeeld over alle lidstaten.');
stMilieu = new Answer('stMilieu', '<strong>Milieubeleid en eerlijke verdeling.<\/strong> De Europese Unie moet een strenger milieubeleid voeren, dat er uiteindelijk toe moet leiden dat iedere wereldburger evenveel mag vervuilen.');
stEthiek = new Answer('stEthiek', '<strong>Ethische kwesties.<\/strong> In programma\'s gericht op AIDS-bestrijding moet trouw binnen het huwelijk centraal staan.');
stKenniseconomie = new Answer('stKenniseconomie', '<strong>Kenniseconomie.<\/strong> De inrichting van het Europees hoger onderwijs (qua roosters, toegankelijkheid en de erkenning van opleidingen) dient in 2010 inhoudelijk &eacute;&eacute;n geheel te zijn.');
stSociaal = new Answer('stSociaal', '<strong>Sociale gerechtigheid.<\/strong> Het wegnemen van barri&#232;res, die het bepaalde bevolkingsgroepen onmogelijk maken om maatschappelijk volwaardig te participeren, krijgt prioriteit.');
stOpenheid = new Answer('stOpenheid', '<strong>Openheid.<\/strong> Fraude, corruptie, ongeoorloofde belangentegenstellingen en niet-democratisch controleerbare processen in het Europees bestuur dienen, hoe dan ook, altijd te worden bestreden.');
stAandacht = new Answer('stAandacht', '<strong>Aandacht voor mensen.<\/strong> Politici moeten hun aandacht richten op de belangrijke zaken die de mensen echt aangaan en niet op instant-bevrediging.');
stDieren = new Answer('stDieren', '<strong>Dierenwelzijn.<\/strong> Onderzoekscentra waar apen worden gehuisvest, worden zo spoedig mogelijk gesloten.');
stRegionaal = new Answer('stRegionaal', '<strong>Regionale belangen.<\/strong> Europese regio\'s moeten kunnen beschikken over een landsdelig parlement met wetgevende en financi&#235;le bevoegdheden (zoals bijvoorbeeld Schotland).');
stOnafhankelijkheid = new Answer('stOnafhankelijk', '<strong>Onafhankelijkheid.<\/strong> Nederland moet onafhankelijk van de Europese Unie worden.');
stDemocratie = new Answer('stDemocratie', '<strong>Positie van kleine lidstaten.<\/strong> De Europese Unie moet via een open democratisch proces bestuurd worden, zodat burgers uit iedere (kleine of grote) lidstaat een even grote invloed op het beleid hebben. Om dit te waarborgen, moet de ontwerp-grondwet worden verworpen.');
stBetutteling = new Answer('stBetutteling', '<strong>Minder betutteling.<\/strong> De tabakswet moet worden uitgekleed. Het gaat bij roken, net als bij vele andere zaken, om een individueel recht waar de overheid zich niet mee dient te bemoeien.');

// korte beschrijvingen van de stellingen
stImmigratie2 = new Answer('stImmigratie', 'Ja, namelijk <strong>immigratie<\/strong>', uitslag_immigratie);
stMilieu2 = new Answer('stMilieu', 'Ja, namelijk <strong>milieubeleid en eerlijke verdeling<\/strong>', uitslag_milieubehoud);
stEthiek2 = new Answer('stEthiek', 'Ja, namelijk <strong>ethische kwesties<\/strong>', uitslag_ethiek);
stKenniseconomie2 = new Answer('stKenniseconomie', 'Ja, namelijk <strong>kenniseconomie<\/strong>', uitslag_kenniseconomie);
stSociaal2 = new Answer('stSociaal', 'Ja, namelijk <strong>sociale gerechtigheid<\/strong>', uitslag_sociaal);
stOpenheid2 = new Answer('stOpenheid', 'Ja, namelijk <strong>openheid<\/strong>', uitslag_openheid);
stAandacht2 = new Answer('stAandacht', 'Ja, namelijk <strong>aandacht voor mensen<\/strong>', uitslag_aandacht);
stDieren2 = new Answer('stDieren', 'Ja, namelijk <strong>dierenwelzijn<\/strong>', uitslag_dieren);
stRegionaal2 = new Answer('stRegionaal', 'Ja, namelijk <strong>regionale belangen<\/strong>', uitslag_regionaal);
stOnafhankelijkheid2 = new Answer('stOnafhankelijk', 'Ja, namelijk <strong>onafhankelijkheid<\/strong>', uitslag_onafhankelijkheid);
stDemocratie2 = new Answer('stDemocratie', 'Ja, namelijk <strong>positie van kleine lidstaten<\/strong>', uitslag_democratie);
stBetutteling2 = new Answer('stBetutteling', 'Ja, namelijk <strong>minder betutteling<\/strong>', uitslag_betutteling);

// eerste scherm
q4a_pre1.addAnswer(stImmigratie);
q4a_pre1.addAnswer(stOpenheid);
q4a_pre1.addAnswer(stAandacht);
q4a_pre1.addAnswer(stRegionaal);
q4a_pre1.addAnswer(stOnafhankelijkheid);
q4a_pre1.addAnswer(stDemocratie);
q4a_pre1.randomizeAnswers();
q4a_pre1.addAnswer(new Answer('volgende', 'volgende', q4a_pre2));
// tweede scherm
//q4a_pre2.addAnswer(stOpenheid);
//q4a_pre2.addAnswer(stAandacht);
//q4a_pre2.addAnswer(stDieren);
//q4a_pre2.addAnswer(stRegionaal);
//q4a_pre2.addAnswer(stOnafhankelijkheid);
//q4a_pre2.addAnswer(new Answer('vorige', 'vorige', q4a_pre1));
//q4a_pre2.addAnswer(new Answer('volgende', 'volgende', q4a));

q4a_pre2.addAnswer(stImmigratie2);
q4a_pre2.addAnswer(stOpenheid2);
q4a_pre2.addAnswer(stAandacht2);
q4a_pre2.addAnswer(stRegionaal2);
q4a_pre2.addAnswer(stOnafhankelijkheid2);
q4a_pre2.addAnswer(stDemocratie2);
q4a_pre2.randomizeAnswers();
q4a_pre2.addAnswer(new Answer('nee', 'Nee, <strong>geen enkele<\/strong> is van doorslaggevend belang', q4a_pre3));
q4a_pre2.addAnswer(new Answer('vorige', 'vorige', q4a_pre1));

q4a_pre3.addAnswer(stDieren);
q4a_pre3.addAnswer(stMilieu);
q4a_pre3.addAnswer(stEthiek);
q4a_pre3.addAnswer(stKenniseconomie);
q4a_pre3.addAnswer(stSociaal);
q4a_pre3.addAnswer(stBetutteling);
q4a_pre3.randomizeAnswers();
q4a_pre3.addAnswer(new Answer('volgende', 'volgende', q4a));

q4a.addAnswer(stDieren2);
q4a.addAnswer(stMilieu2);
q4a.addAnswer(stEthiek2);
q4a.addAnswer(stKenniseconomie2);
q4a.addAnswer(stSociaal2);
q4a.addAnswer(stBetutteling2);
q4a.randomizeAnswers();
q4a.addAnswer(new Answer('nee', 'Nee, <strong>geen enkele<\/strong> is van doorslaggevend belang', q5a));
q4a.addAnswer(new Answer('vorige', 'vorige', q4a_pre3));

q4b_pre1.addAnswer(stDieren);
q4b_pre1.addAnswer(stMilieu);
q4b_pre1.addAnswer(stEthiek);
q4b_pre1.addAnswer(stKenniseconomie);
q4b_pre1.addAnswer(stSociaal);
q4b_pre1.addAnswer(stBetutteling);
q4b_pre1.randomizeAnswers();
q4b_pre1.addAnswer(new Answer('volgende', 'volgende', q4b));

q4b.addAnswer(stDieren2);
q4b.addAnswer(stMilieu2);
q4b.addAnswer(stEthiek2);
q4b.addAnswer(stKenniseconomie2);
q4b.addAnswer(stSociaal2);
q4b.addAnswer(stBetutteling2);
q4b.randomizeAnswers();
q4b.addAnswer(new Answer('nee', 'Nee, <strong>geen enkele<\/strong> is van doorslaggevend belang', q5b));
q4b.addAnswer(new Answer('vorige', 'vorige', q4b_pre1));

stVVD = new Answer('stVVD', 'Europa moet zich alleen richten op problemen die Nederland niet alleen kan oplossen. Alle lidstaten moeten uiteindelijk op eigen benen staan.', uitslag_VVD);
stCDA = new Answer('stCDA', 'Europa moet machtiger worden, omdat landen alleen niet meer optimaal voor hun burgers kunnen zorgen. Nederland moet Europese doelstellingen halen, maar mag voor een groot deel zelf bepalen hoe.', uitslag_CDA);
stPvdA = new Answer('stPvdA', 'Nederland heeft Europa nodig: voor welvaart, werkgelegenheid, stabiliteit en veiligheid.', uitslag_PvdA);

q5a.addAnswer(stVVD);
q5a.addAnswer(stCDA);
q5a.addAnswer(stPvdA);
q5a.randomizeAnswers();
q5a.addAnswer(new Answer('volgende', 'Deze drie stellingen spreken me helemaal niet aan.', q6));

q5b.addAnswer(stVVD);
q5b.addAnswer(stCDA);
q5b.addAnswer(stPvdA);
q5b.randomizeAnswers();
q5b.addAnswer(new Answer('blanco', 'Ik heb eigenlijk geen duidelijke voorkeur.', uitslag_blanco));

q6.addAnswer(new Answer('overbodig', 'Overbodig', uitslag_nietStemmen));
q6.addAnswer(new Answer('zinvol', 'Zinvol', uitslag_geenVoorkeur));
q6.addAnswer(new Answer('weetNiet', 'Weet ik niet', uitslag_geenVoorkeur));
q6.randomizeAnswers();

