function QLayout(){
	this.questionObject = arguments[0];
}
QLayout.prototype.setQuestionObject = function(obj){
	this.questionObject = obj;
}

function MCLayout(){}
MCLayout.prototype = new QLayout();
MCLayout.prototype.getHTML = function(){
	var jd = new JsDocument();
	jd.write('<form name="surveyForm">');
	jd.write('<input type="hidden" name="questionId" value="'+this.questionObject.id+'">');
	jd.write('<input type="hidden" name="vorige" value="">');
	jd.write('<span class="question">');
	jd.write(this.questionObject.text);
	jd.write('</span><br><br>');
 	jd.write('<span class="answer">');
	for(var i in this.questionObject.answers){
		if(this.questionObject.answers[i].text != 'vorige'){
		jd.write('<input type="radio" name="answerId" value="'+this.questionObject.answers[i].id+'">');
		jd.write(this.questionObject.answers[i].text);
		jd.write('<br>');
		}
	}
	jd.write('<br><br>');
 	for(var i in this.questionObject.answers){
		if(this.questionObject.answers[i].text == 'vorige'){
		jd.write('<input type="image" src="images/but_terugstellingen.png" name="vorige" value="1" onclick="this.form.vorige.value = \''+this.questionObject.answers[i].id+'\';next()">');
		}
	}
	jd.write('<image src="images/but_volgvraag.png" value="Volgende vraag" onclick="next()">');
	jd.write('</form>');
	jd.write('</span><br>');
	return jd.toString();
}

function SlideLayout(){}
SlideLayout.prototype = new MCLayout();
SlideLayout.prototype.getHTML = function(){
	var jd = new JsDocument();
	jd.write('<form name="surveyForm">');
	jd.write('<input type="hidden" name="questionId" value="'+this.questionObject.id+'">');
	jd.write('<input type="hidden" name="answerId" value="">');
	jd.write('<span class="question">');
	jd.write(this.questionObject.text);
	jd.write('</span><br>');
	jd.write('<span class="answer">');
	jd.write('<ul>');
	for(var i in this.questionObject.answers){
		if(this.questionObject.answers[i].nextQuestion==undefined){
			jd.write('<li>');
			jd.write(this.questionObject.answers[i].text);
		}
	}
	jd.write('</ul>');
	for(var i in this.questionObject.answers){
		if(this.questionObject.answers[i].nextQuestion!=undefined){
			jd.write('<input type="image" src="images/but_volgpag.png" value="'+this.questionObject.answers[i].text+'" onclick="this.form.answerId.value = \''+this.questionObject.answers[i].id+'\';next()">');
		}
	}
	jd.write('</span>');
	jd.write('</form>');
	return jd.toString();
}

function ResultLayout(){}
ResultLayout.prototype = new MCLayout();
ResultLayout.prototype.getHTML = function(){
	var jd = new JsDocument();
	jd.write('<span class="question">');
	jd.write('Uw stemindicatie:');
	jd.write('</span><br><br>');
	jd.write('<span class="question">');
	jd.write(this.questionObject.text);
	jd.write('</span><br><br>');
	jd.write('<input type="image" src="images/but_volgvraag.png" onclick="javascript:parent.sluiten()">');
	jd.write('<a href="http://www.politiek-digitaal.nl/tools/stemindicator/waarom/" target="_blank"><image src="images/but_waaromditadvies.png" border="0"></a>');
	return jd.toString();
}

function WelkomLayout(){}
WelkomLayout.prototype = new MCLayout();
WelkomLayout.prototype.getHTML = function(){
	var jd = new JsDocument();
	jd.write('<form name="surveyForm">');
	jd.write('<input type="hidden" name="questionId" value="'+this.questionObject.id+'">');
	jd.write('<input type="hidden" name="answerId" value="">');
	jd.write('<span class="question">Welkom bij stemindicator.nl</span><br><br>');
	jd.write('<span class="answer">');
	jd.write(this.questionObject.text);
	jd.write('<span><br><br>');
	jd.write('<input type="image" src="images/but_start.png" width="164" height="25" border="0" value="'+this.questionObject.answers[0].text+'"  onclick="this.form.answerId.value = \''+this.questionObject.answers[0].id+'\';next()">');
	jd.write('</form>');
	return jd.toString();
}

