<!--
//	BEGIN class JsDocument()
//	version: 1.1
//	description: This class contains some functions to facilitate
//		concatenating of strings that have to be printed.
//	author: L.Bottelberghs (leendert@unitedknowledge.nl)
//	comment:
//	last change: di apr 20 10:07:16 CEST 2004
//	-->

JsDocument = function(){
// constructor
	this.text = new Array;
	this.lineEnd = '\n';
}

JsDocument.prototype.write = function(str){
	this.text[this.text.length] = str;
}

JsDocument.prototype.writeln = function(str){
	this.text[this.text.length] = str + this.lineEnd;
}

JsDocument.prototype.toString = function(){
	return this.text.join("");
}

JsDocument.prototype.clear = function(){
	delete this.text;
	this.text = null;
	this.text = new Array;
}

JsDocument.prototype.setLineEnd = function(str){
	this.lineEnd = str;
}
<!--//	END class JsDocument() // -->
